Bug 1270686 - libguestfs-1.31.15-1.fc24 FTBFS: cp: missing file operand
libguestfs-1.31.15-1.fc24 FTBFS: cp: missing file operand
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: libguestfs (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
https://apps.fedoraproject.org/kosche...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-12 03:22 EDT by Petr Pisar
Modified: 2017-08-08 08:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:18:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2015-10-12 03:22:04 EDT
libguestfs-1.31.15-1.fc24 fails to build in Koji's F24 buildroot:

Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.eXd1Ny
+ umask 022
+ cd /builddir/build/BUILD
+ cd libguestfs-1.31.15
+ ip addr list
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN group default 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP group default qlen 1000
    link/ether 52:54:00:93:6d:47 brd ff:ff:ff:ff:ff:ff
    inet 10.5.125.107/24 brd 10.5.125.255 scope global eth0
       valid_lft forever preferred_lft forever
    inet6 fe80::5054:ff:fe93:6d47/64 scope link 
       valid_lft forever preferred_lft forever
3: eth1: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP group default qlen 1000
    link/ether 52:54:00:9e:82:5e brd ff:ff:ff:ff:ff:ff
    inet 10.5.127.167/24 brd 10.5.127.255 scope global eth1
       valid_lft forever preferred_lft forever
    inet6 fe80::5054:ff:fe9e:825e/64 scope link 
       valid_lft forever preferred_lft forever
4: virbr0@NONE: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc noqueue state LOWERLAYERDOWN group default 
    link/ether 52:54:00:dc:dd:96 brd ff:ff:ff:ff:ff:ff
    inet 192.168.122.1/24 brd 192.168.122.255 scope global virbr0
       valid_lft forever preferred_lft forever
5: virbr0-nic@NONE: <BROADCAST,MULTICAST> mtu 1500 qdisc pfifo_fast master virbr0 state DOWN group default qlen 500
    link/ether 52:54:00:dc:dd:96 brd ff:ff:ff:ff:ff:ff
default via 10.5.125.254 dev eth0  proto static  metric 1024 
10.5.88.0/24 via 10.5.127.254 dev eth1  proto static  metric 1 
10.5.125.0/24 dev eth0  proto kernel  scope link  src 10.5.125.107 
10.5.127.0/24 dev eth1  proto kernel  scope link  src 10.5.127.167 
192.168.122.0/24 dev virbr0  proto kernel  scope link  src 192.168.122.1 
+ ip route list
+ ping -c 3 -w 20 8.8.8.8
PING 8.8.8.8 (8.8.8.8) 56(84) bytes of data.
64 bytes from 8.8.8.8: icmp_seq=1 ttl=48 time=24.0 ms
64 bytes from 8.8.8.8: icmp_seq=2 ttl=48 time=23.8 ms
64 bytes from 8.8.8.8: icmp_seq=3 ttl=48 time=23.9 ms
--- 8.8.8.8 ping statistics ---
3 packets transmitted, 3 received, 0% packet loss, time 2002ms
rtt min/avg/max/mdev = 23.864/23.961/24.020/0.069 ms
+ wget http://libguestfs.org -O /dev/null
--2015-10-11 22:25:31--  http://libguestfs.org/
Resolving libguestfs.org (libguestfs.org)... failed: No address associated with hostname.
wget: unable to resolve host address 'libguestfs.org'
+ mkdir repo
+ find /var/cache/yum -type f -name '*.rpm' -print0
+ xargs -0 -n 1 cp -t repo
cp: missing file operand
Try 'cp --help' for more information.
error: Bad exit status from /var/tmp/rpm-tmp.eXd1Ny (%build)

This happens since 2015-10-09T20:37:36, the change in build root is following but I don't think it's because of that:

        libtiff 	4.0.5-1.fc24 	> 	4.0.6-1.fc24
	xen-libs 	4.5.1-11.fc24 	> 	4.5.1-12.fc24
	perl-Unicode-Normalize 	1.19-1.fc23 	> 	1.21-1.fc24
	xen-licenses 	4.5.1-11.fc24 	> 	4.5.1-12.fc24
Comment 1 Richard W.M. Jones 2015-10-12 05:51:12 EDT
See:
https://fedorahosted.org/rel-eng/ticket/6274
Comment 2 Richard W.M. Jones 2015-10-13 15:45:47 EDT
I've added a temporary workaround while will hopefully make the package
build.  There may be runtime problems with it however, but I will run
the tests after it has finished building to determine if things are
very broken or not.

Package containing the workaround is:
http://koji.fedoraproject.org/koji/taskinfo?taskID=11431514
libguestfs-1.31.16-2.fc24
Comment 3 Jan Kurik 2016-02-24 08:49:42 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 4 Fedora End Of Life 2017-07-25 15:21:26 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2017-08-08 08:18:03 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.